org.apache.ignite.ml.environment.parallelism

## Interface ParallelismStrategy

- All Known Implementing Classes:
    DefaultParallelismStrategy, NoParallelismStrategy

      public interface ParallelismStrategy

  Specifies the behaviour of processes in ML-algorithms that can may be parallelized such as parallel learning in bagging, learning submodels for One-vs-All model, Cross-Validation etc.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ParallelismStrategy.Type` The type of parallelism.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IgniteFunction<Integer,ParallelismStrategy.Type>` | `NO_PARALLELISM` No parallelism.
    `static IgniteFunction<Integer,ParallelismStrategy.Type>` | `ON_DEFAULT_POOL` On default pool.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParallelism()` Returns default parallelism.
    `<T> Promise<T>` | `submit(IgniteSupplier<T> task)` Submit task.
    `default <T> List<Promise<T>>` | `submit(List<IgniteSupplier<T>> tasks)` Submit the list of tasks.

- - ### Field Detail

    - #### ON_DEFAULT_POOL

          static final IgniteFunction<Integer,ParallelismStrategy.Type> ON_DEFAULT_POOL

      On default pool.

    - #### NO_PARALLELISM

          static final IgniteFunction<Integer,ParallelismStrategy.Type> NO_PARALLELISM

      No parallelism.

  - ### Method Detail

    - #### submit

          <T> Promise<T> submit(IgniteSupplier<T> task)

      Submit task.
      Parameters:
        `task` - Task.
      Returns:
        The result of submit operation.

    - #### getParallelism

          int getParallelism()

      Returns default parallelism.

    - #### submit

          default <T> List<Promise<T>> submit(List<IgniteSupplier<T>> tasks)

      Submit the list of tasks.
      Type Parameters:
        `T` - The type of return value.
      Parameters:
        `tasks` - The task list.
      Returns:
        The results of the submitted operations list.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021